Skip to content
POST/organizations/{organizationId}/hierarchy/segments

Create organization hierarchy shared segment

Creates a new shared segment for an organization

Path Parameters

organizationIdstringrequired

Request Body required

Content-Type: application/json

Authentication: X-API-Key

Request

POST/organizations/{organizationId}/hierarchy/segments
curl --request POST 'https://cloud.campai.com/api/organizations/{organizationId}/hierarchy/segments' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sharedSegment": {
    "fields": [
      "string"
    ],
    "levels": [
      "string"
    ],
    "segment": {
      "filter": {
        "operator": "and",
        "groups": [
          {
            "operator": "and",
            "fields": [
              {
                "path": "string",
                "comparator": "exists"
              }
            ]
          }
        ]
      },
      "name": "string",
      "hint": "string",
      "type": "member"
    }
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Additional properties are not allowed.

Response

200
{
  "fields": [
    "string"
  ],
  "levels": [
    "string"
  ],
  "segment": {
    "filter": {
      "operator": "and",
      "groups": [
        {
          "operator": "and",
          "fields": [
            {
              "path": "string",
              "comparator": "exists"
            }
          ]
        }
      ]
    },
    "name": "string",
    "hint": "string",
    "type": "member"
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}